Bug 25945 - Description of AuthoritySeparator is misleading
Summary: Description of AuthoritySeparator is misleading
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Caroline Cyr La Rose
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-07 16:11 UTC by Caroline Cyr La Rose
Modified: 2020-09-10 03:45 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off: This patch rewords the description of the AuthoritySeparator system preference
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.04


Attachments
Attachment to Bug 25945 - Description of AuthoritySeparator is misleading (1.19 KB, patch)
2020-07-07 20:11 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 25945: Description of AuthoritySeparator is misleading (1.25 KB, patch)
2020-08-16 07:28 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25945: Description of AuthoritySeparator is misleading (1.56 KB, patch)
2020-08-18 13:49 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2020-07-07 16:11:25 UTC
The current description of AuthoritySeparator is 
'Separate multiple displayed authors, series or subjects with'

But it is not used to separate multiple authors, series or subjects, it is used to separate the main entry and its subdivisions for subjects and contributors only. Not authors nor series.

It should also be specified that it is used only in non-XSLT views.

To test:
1. Change the value in AuthoritySeparator for something crazy (ex. -a-a- )
2. Change the value of OPACXSLTDetailsDisplay to empty
3. Add or modify a record and enter 
- an author in 1XX (with multiple subfields)
- several series in 440 (with multiple subfields each)
- several contributors in 7XX (with multiple subfields each)
- several subject headings in 6XX (with multiple subfields each)
4. Add the record to the cart
5. Open the cart and click on 'More details'
6. Note that only subjects use your crazy separator and not in between each subject but between main headings and subdivisions.
7. Open the record in the OPAC
8. Note that only subjects and contributors use your crazy separator, again not in between each entry but between main entries and subfields.

It seems to be used differently across modules. I think that should be a discussion, but right now, I suggest we change the description to 
'Separate main entry and subdivisions with ___ (non-XSLT view only)'.
Comment 1 Caroline Cyr La Rose 2020-07-07 20:11:19 UTC
Created attachment 106644 [details] [review]
Attachment to Bug 25945 - Description of AuthoritySeparator is misleading

Bug 25945: Description of AuthoritySeparator is misleading

This patch changes the description of the AuthoritySeparator system preference

To test: 
1. Apply patch
2. Go to Administration > Global system preferences > Cataloging and locate the 
AuthoritySeparator preference
3. Read the description and make sure it makes sense and that there are no typos 
or grammatical errors
Comment 2 Katrin Fischer 2020-08-16 07:28:00 UTC
Created attachment 108342 [details] [review]
Bug 25945: Description of AuthoritySeparator is misleading

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Katrin Fischer 2020-08-16 07:28:28 UTC
String patch, passing QA too.
Comment 4 Jonathan Druart 2020-08-18 13:49:42 UTC
Created attachment 108508 [details] [review]
Bug 25945: Description of AuthoritySeparator is misleading

This patch changes the description of the AuthoritySeparator system preference

To test:
1. Apply patch
2. Go to Administration > Global system preferences > Cataloging and locate the
AuthoritySeparator preference
3. Read the description and make sure it makes sense and that there are no typos
or grammatical errors

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-08-18 15:47:08 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-09-04 15:41:27 UTC
simple fix, backingporting this enhancement to 20.05.x for 20.05.04
Comment 7 Aleisha Amohia 2020-09-10 03:45:54 UTC
enhancement, not backported to 19.11.x